﻿using System;

namespace TestProject
{
    /// <summary>
    /// 윈도우 정보
    /// </summary>
    public class WindowInformation
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 윈도우 핸들 - WindowHandle

        /// <summary>
        /// 윈도우 핸들
        /// </summary>
        public IntPtr WindowHandle { get; set; }

        #endregion
        #region 윈도우 텍스트 - WindowText

        /// <summary>
        /// 윈도우 텍스트
        /// </summary>
        public string WindowText { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 문자열 구하기 - ToString()

        /// <summary>
        /// 문자열 구하기
        /// </summary>
        /// <returns>문자열</returns>
        public override string ToString()
        {
            return $"WINDOW HANDLE={WindowHandle}, WINDOW TEXT={WindowText}";
        }

        #endregion
    }
}